Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`defer`.`_Sentinel``

class documentation

`class _Sentinel(Enum): (source)`

View In Hierarchy

Constant | `_CONTINUE` | A marker left in `Deferred.callback`s to indicate a Deferred chain. Always accompanied by a Deferred instance in the args tuple pointing at the Deferred which is chained to the Deferred which has this marker.
Constant | `_NO_RESULT` | The result used to represent the fact that there is no result. Never ever ever use this as an actual result for a Deferred. You have been warned.

_CONTINUE = (source)

A marker left in `Deferred.callback`s to indicate a Deferred chain. Always accompanied by a Deferred instance in the args tuple pointing at the Deferred which is chained to the Deferred which has this marker.

Value

    object()

_NO_RESULT = (source)

The result used to represent the fact that there is no result. Never ever ever use this as an actual result for a Deferred. You have been warned.

Value

    object()